Show / Hide Table of Contents

# Class SslExtension

The SSL extension information.

##### Inheritance

Object
SslExtension

##### Inherited Members

Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.StreamExtended.Models

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class SslExtension

### Constructors

| Improve this Doc View Source

#### SslExtension(Int32, String, String, Int32)

Initializes a new instance of the SslExtension class.

##### Declaration

    public SslExtension(int value, string name, string data, int position)

##### Parameters

Type | Name | Description
--- | --- | ---
Int32 | value | The value.
String | name | The name.
String | data | The data.
Int32 | position | The position.

### Properties

| Improve this Doc View Source

#### Data

Gets the data.

##### Declaration

    public string Data { get; }

##### Property Value

Type | Description
--- | ---
String | The data.

| Improve this Doc View Source

#### Name

Gets the name.

##### Declaration

    public string Name { get; }

##### Property Value

Type | Description
--- | ---
String | The name.

| Improve this Doc View Source

#### Position

Gets the position.

##### Declaration

    public int Position { get; }

##### Property Value

Type | Description
--- | ---
Int32 | The position.

| Improve this Doc View Source

#### Value

Gets the value.

##### Declaration

    public int Value { get; }

##### Property Value

Type | Description
--- | ---
Int32 | The value.